#include <AccelStepper.h>

#define END_POS 500

typedef enum {
  S_DIR = A0,
  S_STEP = A5,
  S_ENABLE = A3
} StepperPins;

AccelStepper stepper(1, S_STEP, S_DIR);

void setup()
{
  stepper.setEnablePin(S_ENABLE);
  stepper.setPinsInverted(false, false, true);
  stepper.enableOutputs();

  stepper.setMaxSpeed(5000);
  stepper.setAcceleration(5000);
  stepper.setCurrentPosition(0);

  Serial.begin(9600);
  delay(5000);
}

void loop()
{
  stepper.moveTo(END_POS);
  stepper.setSpeed(1000);
  while (abs(stepper.distanceToGo()) > 0)
    stepper.runSpeedToPosition();
  delay(5000);
}


